# IScene Class Reference

`#include <IScene.h>`

Inheritance diagram for IScene:

List of all members.

## Public Member Functions
| IScene ()
| ~IScene ()
virtual void | Initialise ()=0
virtual void | Draw ()=0
virtual void | Update ()=0
virtual void | Shutdown ()=0
virtual void | Activate ()=0
virtual void | Deactivate ()=0
virtual bool | HandleEvent (IEvent *pEvent)=0

## Detailed Description

Definition at line 6 of file IScene.h.

## Constructor & Destructor Documentation

IScene::IScene | ( |  | ) | `[inline]`

Definition at line 9 of file IScene.h.

IScene::~IScene | ( |  | ) | `[inline]`

Definition at line 10 of file IScene.h.

## Member Function Documentation

virtual void IScene::Activate | ( |  | ) | `[pure virtual]`

Implemented in BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, and BreakoutSplashScreenScene.

virtual void IScene::Deactivate | ( |  | ) | `[pure virtual]`

Implemented in BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, and BreakoutSplashScreenScene.

virtual void IScene::Draw | ( |  | ) | `[pure virtual]`

Implemented in BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, and BreakoutSplashScreenScene.

virtual bool IEventListener::HandleEvent | ( | IEvent * | pEvent | ) | `[pure virtual, inherited]`

Implemented in BreakoutApp, BreakoutGameOverScene, BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, BreakoutSplashScreenScene, and SoundManager.

virtual void IScene::Initialise | ( |  | ) | `[pure virtual]`

Implemented in BreakoutErrorScene, BreakoutGameOverScene, BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, and BreakoutSplashScreenScene.

virtual void IScene::Shutdown | ( |  | ) | `[pure virtual]`

Implemented in BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, and BreakoutSplashScreenScene.

virtual void IScene::Update | ( |  | ) | `[pure virtual]`

Implemented in BreakoutGameScene, BreakoutMainMenuScene, BreakoutPauseScene, and BreakoutSplashScreenScene.

The documentation for this class was generated from the following file:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/IScene.h